Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillDataRange

    java.lang.Object
      net.sf.jasperreports.charts.fill.JRFillDataRange

All Implemented Interfaces:
  java.lang.Cloneable, JRDataRange, JRCloneable

    public class JRFillDataRange

extends java.lang.Object
implements JRDataRange

Version:
  $Id: JRFillDataRange.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)

Field Summary
`protected JRDataRange` | `parent`

Constructor Summary
`JRFillDataRange(JRDataRange dataRange, JRFillObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRExpression` | `getHighExpression()` Returns the expression that generates the upper bound of the range.
`JRExpression` | `getLowExpression()` Returns the expression that generates the lower bound of the range.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected JRDataRange parent

Constructor Detail

### JRFillDataRange

    public JRFillDataRange(JRDataRange dataRange,
                           JRFillObjectFactory factory)

Method Detail

### getLowExpression

    public JRExpression getLowExpression()

  Description copied from interface: `JRDataRange`
  Returns the expression that generates the lower bound of the range.

  Specified by:
    `getLowExpression` in interface `JRDataRange`
  Returns:
    the expression that generates the lower bound of the range

### getHighExpression

    public JRExpression getHighExpression()

  Description copied from interface: `JRDataRange`
  Returns the expression that generates the upper bound of the range.

  Specified by:
    `getHighExpression` in interface `JRDataRange`
  Returns:
    the expression that generates the upper bound of the range

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com